Package org.jboss.resteasy.client.jaxrs.internal

## Class ClientRequestHeaders

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.internal.ClientRequestHeaders

- Direct Known Subclasses:
    `TrackingClientRequestHeaders`

      public class ClientRequestHeaders
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ClientConfiguration` | `configuration` |
    `protected CaseInsensitiveMap<Object>` | `headers` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientRequestHeaders​(ClientConfiguration configuration)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accept​(String... types)` |
    `void` | `accept​(javax.ws.rs.core.MediaType... types)` |
    `void` | `acceptEncoding​(String... encodings)` |
    `void` | `acceptLanguage​(String... locales)` |
    `void` | `acceptLanguage​(Locale... locales)` |
    `void` | `allow​(String... methods)` |
    `void` | `allow​(Set<String> methods)` |
    `javax.ws.rs.core.MultivaluedMap<String,​String>` | `asMap()` |
    `void` | `cacheControl​(javax.ws.rs.core.CacheControl cacheControl)` |
    `void` | `cookie​(javax.ws.rs.core.Cookie cookie)` |
    `List<Locale>` | `getAcceptableLanguages()` |
    `List<javax.ws.rs.core.MediaType>` | `getAcceptableMediaTypes()` |
    `Map<String,​javax.ws.rs.core.Cookie>` | `getCookies()` |
    `Date` | `getDate()` |
    `String` | `getHeader​(String name)` |
    `CaseInsensitiveMap<Object>` | `getHeaders()` |
    `Locale` | `getLanguage()` |
    `int` | `getLength()` |
    `javax.ws.rs.core.MediaType` | `getMediaType()` |
    `void` | `header​(String name, Object value)` |
    `void` | `setHeaders​(javax.ws.rs.core.MultivaluedMap<String,​Object> newHeaders)` |
    `void` | `setLanguage​(String language)` |
    `void` | `setLanguage​(Locale language)` |
    `void` | `setMediaType​(javax.ws.rs.core.MediaType mediaType)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### headers

          protected CaseInsensitiveMap<Object> headers

    - #### configuration

          protected ClientConfiguration configuration

  - ### Constructor Detail

    - #### ClientRequestHeaders

          public ClientRequestHeaders​(ClientConfiguration configuration)

  - ### Method Detail

    - #### getHeaders

          public CaseInsensitiveMap<Object> getHeaders()

    - #### setHeaders

          public void setHeaders​(javax.ws.rs.core.MultivaluedMap<String,​Object> newHeaders)

    - #### setLanguage

          public void setLanguage​(Locale language)

    - #### setLanguage

          public void setLanguage​(String language)

    - #### setMediaType

          public void setMediaType​(javax.ws.rs.core.MediaType mediaType)

    - #### acceptLanguage

          public void acceptLanguage​(Locale... locales)

    - #### acceptLanguage

          public void acceptLanguage​(String... locales)

    - #### acceptEncoding

          public void acceptEncoding​(String... encodings)

    - #### accept

          public void accept​(String... types)

    - #### accept

          public void accept​(javax.ws.rs.core.MediaType... types)

    - #### cookie

          public void cookie​(javax.ws.rs.core.Cookie cookie)

    - #### allow

          public void allow​(String... methods)

    - #### allow

          public void allow​(Set<String> methods)

    - #### cacheControl

          public void cacheControl​(javax.ws.rs.core.CacheControl cacheControl)

    - #### header

          public void header​(String name,
                             Object value)

    - #### getDate

          public Date getDate()

    - #### getHeader

          public String getHeader​(String name)

    - #### asMap

          public javax.ws.rs.core.MultivaluedMap<String,​String> asMap()

    - #### getLanguage

          public Locale getLanguage()

    - #### getLength

          public int getLength()

    - #### getMediaType

          public javax.ws.rs.core.MediaType getMediaType()

    - #### getAcceptableMediaTypes

          public List<javax.ws.rs.core.MediaType> getAcceptableMediaTypes()

    - #### getAcceptableLanguages

          public List<Locale> getAcceptableLanguages()

    - #### getCookies

          public Map<String,​javax.ws.rs.core.Cookie> getCookies()